import readline from 'readline'
import { marked } from 'marked'
import markedMfm from '../src/index.js'

const prompt = () => (new Promise((resolve) => {
  const rl = readline.createInterface(process.stdin, process.stdout)
  rl.question('> ', (input) => {
    resolve(input)
    rl.close()
  })
}))

marked.use(markedMfm)

console.log('marked-mfm interactive parser')
console.log('version', process.env.npm_package_version)

while (true) {
  const input = await prompt()
  console.log(marked(input))
}
